# mypy-boto3-mediastore-data

[![PyPI - mypy-boto3-mediastore-data](https://img.shields.io/pypi/v/mypy-boto3-mediastore-data.svg?color=blue)](https://pypi.org/project/mypy-boto3-mediastore-data)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/mypy-boto3-mediastore-data.svg?color=blue)](https://pypi.org/project/mypy-boto3-mediastore-data)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)

Type annotations for
[boto3.MediaStoreData 1.14.52](https://boto3.amazonaws.com/v1/documentation/api/1.14.52/reference/services/mediastore-data.html#MediaStoreData) service
compatible with [mypy](https://github.com/python/mypy), [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/) and other tools.

Generated by [mypy-boto3-buider 2.3.1](https://github.com/vemel/mypy_boto3_builder).

More information can be found on [boto3-stubs](https://pypi.org/project/boto3-stubs/) page.

## How to install

Make sure you have [mypy](https://github.com/python/mypy) installed and activated in your IDE.

Install `boto3-stubs` for `MediaStoreData` service.

```bash
python -m pip install boto3-stubs[mediastore-data]
```

## How to use

### Client annotations

`MediaStoreDataClient` provides annotations for `boto3.client("mediastore-data")`.

```python
import boto3

from mypy_boto3_mediastore_data import MediaStoreDataClient
from mypy_boto3_mediastore_data.paginator import ListItemsPaginator
from mypy_boto3_mediastore_data.type_defs import ItemTypeDef, ...

client: MediaStoreDataClient = boto3.client("mediastore-data")

# now client usage is checked by mypy and IDE should provide code auto-complete

# works for session as well
session = boto3.session.Session(region="us-west-1")
session_client: MediaStoreDataClient = session.client("mediastore-data")
```

### Paginators annotations

`mypy_boto3_mediastore_data.paginator` module contains type annotations for all paginators.

```python

client: MediaStoreDataClient = boto3.client("mediastore-data")

# Explicit type annotations are optional here
# Type should be correctly discovered by mypy and IDEs
# VSCode requires explicit type annotations
list_items_paginator: ListItemsPaginator = client.get_paginator("list_items")
```







### Typed dictionations

`mypy_boto3_mediastore_data.type_defs` module contains structures and shapes assembled
to typed dictionaries for additional type checking.

```python

def get_structure() -> ItemTypeDef:
    return {
      ...
    }
```


## Dynamic type annotations

`mypy_boto3` command generates `boto3.client/resource` type annotations for
`mypy_boto3_mediastore_data` and other installed services.

```bash
# Run this command after you add or remove service packages
python -m mypy_boto3
```

Generated type annotations provide overloads for `boto3.client` and `boto3.resource`,
`boto3.Session.client` and `boto3.Session.resource` functions,
so explicit type annotations are not needed.

- `mypy` supports function overloads as expected
- `PyCharm` also supports function overloads, but consumes a lot of RAM, use carefully if you have many services installed
- `VSCode` does not currently support function overloads, use explicit type annotations

```python

# Type is discovered correctly by mypy and PyCharm
# VSCode still needs explicit type annotations
client = boto3.client("mediastore-data")

session_client = boto3.Session().client("mediastore-data")
```
